import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  AssociateChannelRequest,
  AssociateChannelResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface AssociateChannelCommandInput extends AssociateChannelRequest {}
export interface AssociateChannelCommandOutput
  extends AssociateChannelResponse,
    __MetadataBearer {}
declare const AssociateChannelCommand_base: {
  new (
    input: AssociateChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AssociateChannelCommandInput,
    AssociateChannelCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: AssociateChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AssociateChannelCommandInput,
    AssociateChannelCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class AssociateChannelCommand extends AssociateChannelCommand_base {
  protected static __types: {
    api: {
      input: AssociateChannelRequest;
      output: {};
    };
    sdk: {
      input: AssociateChannelCommandInput;
      output: AssociateChannelCommandOutput;
    };
  };
}
