import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  UpdateEventRuleRequest,
  UpdateEventRuleResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface UpdateEventRuleCommandInput extends UpdateEventRuleRequest {}
export interface UpdateEventRuleCommandOutput
  extends UpdateEventRuleResponse,
    __MetadataBearer {}
declare const UpdateEventRuleCommand_base: {
  new (
    input: UpdateEventRuleCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateEventRuleCommandInput,
    UpdateEventRuleCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: UpdateEventRuleCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateEventRuleCommandInput,
    UpdateEventRuleCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdateEventRuleCommand extends UpdateEventRuleCommand_base {
  protected static __types: {
    api: {
      input: UpdateEventRuleRequest;
      output: UpdateEventRuleResponse;
    };
    sdk: {
      input: UpdateEventRuleCommandInput;
      output: UpdateEventRuleCommandOutput;
    };
  };
}
